# Git
alias g "git"
alias gc "git clone"
alias gd "git diff"
alias gl "git log --oneline"
alias gp "git pull"
alias gs "git status"

# Go
alias gb "go build -v"
alias gt "go test -v"
alias gts "gotestsum"

# Home
alias home "git --git-dir=$HOME/.home/ --work-tree=$HOME"
alias h "home"
alias hs "home status"
alias hd "home diff"
alias hp "home pull"

# Hyperfine
alias bench "hyperfine --shell=none"

# Jump
alias jh "cd"
alias jb "cd ~/.local/bin"
alias jc "cd ~/.config"
alias jp "cd ~/projects"

# Kernel
alias kerr "sudo dmesg --level=emerg,alert,crit,err"
alias klog "sudo dmesg"

# List
alias l "ls"
alias ll "ls -l"
alias l2 "ls -T -L2"
alias lu "ls -l --total-size --sort=size --reverse --no-permissions --no-user --no-time"
alias lp "ls -l --no-filesize --no-time"

# Lsof
alias tcp "lsof -PniTCP"
alias udp "lsof -PniUDP"

# Neovim
alias e "nvim"
alias n "nvim"

# Pacman
alias p "pacman"
alias pi "sudo pacman -S"
alias pr "sudo pacman -Rs"
alias pu "sudo pacman -Syu"
alias pl "pacman -Q"
alias po "pacman -Qo"
alias pe "pacman -Qe"
alias pc "sudo pacman -Sc"
alias paur "pacman -Qm"
alias porphan "pacman -Qtdq"

# Systemctl
alias start "sudo systemctl start"
alias stop "sudo systemctl stop"
alias enable "sudo systemctl enable"
alias disable "sudo systemctl disable"
alias restart "sudo systemctl restart"
alias running "systemctl list-units --type=service --state=running"
alias disabled "systemctl list-unit-files --type=service --state=disabled"
alias enabled "systemctl list-unit-files --type=service --state=enabled"
alias timers "systemctl list-timers"

# Tmux
alias ta "tmux attach"
alias td "tmux detach"
alias tl "tmux ls"
alias tk "tmux kill-server"

# ...
alias bios "systemctl reboot --firmware-setup"
alias cfg "config"
alias cls "clear"
alias debug "blinkenlights"
alias disasm "ndisasm -b 64 -e 128"
alias ff "fastfetch"
alias hex "hexdump -C"
alias log "journalctl"
alias utc "date -u +'%Y-%m-%dT%H:%M:%SZ'"
alias dl "yt-dlp -x -f bestaudio"
alias mirror "wget -mpEk"
alias perfstats "perf stat -etask-clock,context-switches,cpu-migrations,page-faults,cycles,branches,branch-misses,instructions,uops_issued.any,uops_executed.thread,idq_uops_not_delivered.core"